<?php
/**
 * @package Legacy
 * @version $Id: IPbanningFilter.class.php,v 1.1.2.2 2006/09/14 06:06:13 minahito Exp $
 */

if (!defined('XOOPS_ROOT_PATH')) exit();

/**
 * This burns the access from the specific IP address, which is specified at
 * the preference.
 */
class Base_IPbanningFilter extends XCube_ActionFilter
{
	function preBlockFilter()
	{
		if ($this->mController->mConfig['enable_badips']) {
			if (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR']) {
				foreach ($this->mController->mConfig['bad_ips'] as $bi) {
					if(!empty($bi) && strstr($_SERVER['REMOTE_ADDR'], $bi)!==false) {
						die();
					}
				}
			}
		}
	}
}

?>